{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.rbw;
in
{
  options.marleyos = mkEnableModule "programs.rbw";

  config = mkIf cfg.enable {
    programs.rbw = {
      enable = true;

      settings.email = "bitwarden@punkfairie.net";
    };
  };
}
