{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.less;
in
{
  options.marleyos = mkEnableModule "programs.less";

  config = mkIf cfg.enable {
    programs.less.enable = true;

    home.sessionVariables = {
      LESS = "-R";
    };

    programs.lesspipe.enable = true;
  };
}
