{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.marleyos) mkEnableModule;

  cfg = config.marleyos.programs.ripgrep;
in
{
  options.marleyos = mkEnableModule "programs.ripgrep";

  config = mkIf cfg.enable {
    programs.ripgrep.enable = true;
  };
}
